Bug 163201 - Frozen IDE while opening Web service project
Frozen IDE while opening Web service project
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Actions
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: ERGONOMICS
Depends on: 178848
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 09:37 UTC by Jiri Rechtacek
Modified: 2010-04-13 00:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Full thread dump (2x) (180.98 KB, text/plain)
2009-04-21 09:39 UTC, Jiri Rechtacek
Details
dumptStack.txt (23.15 KB, text/plain)
2009-04-23 12:58 UTC, Jiri Rechtacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2009-04-21 09:37:31 UTC
NetBeans 6.7 Beta build
1) start the IDE with fresh userdir
2) open CustomerDB project from disk
3) IDE says Activating Java EE and open a modal dialog =>
IDE is frozen and nobody can do anything in IDE
Comment 1 Jiri Rechtacek 2009-04-21 09:39:26 UTC
Created attachment 80568 [details]
Full thread dump (2x)
Comment 2 Jaroslav Tulach 2009-04-22 07:19:26 UTC
There seems to be more than one problem in this issue. Maybe fixing one of them is enough, but probably all shall be 
somehow addressed.

#1 - MenuBar blocks AWT by waiting on folder recognizer. This btw. causes "UI freezing" - e.g. progress bars not 
moving, etc.

#2 - profiler and project integration is eagerly initializing itself in folder recognizer which effectively blocks it. 
Probably the initialization shall be more lazy.

I'll see what I can do with #1 and then pass the issue on.
Comment 3 Jaroslav Tulach 2009-04-22 11:27:07 UTC
I have implemented #2 in core-main#90c6f7a4549b - initialization of the action is now delayed till AWT thread.
I have reported problem #1 as issue 163367 

I guess this issue is fixed, however I cannot verify, as I do not know where to find CustomerDB project.
Comment 4 Quality Engineering 2009-04-23 08:57:37 UTC
Integrated into 'main-golden', will be available in build *200904230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/90c6f7a4549b
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #163201: Don't initialize MainProjectAction from outside of AWT thread
Comment 5 Jiri Rechtacek 2009-04-23 12:58:10 UTC
Reproduced again in NetBeans IDE Dev (Build 090423), see the attachment.
Comment 6 Jiri Rechtacek 2009-04-23 12:58:49 UTC
Created attachment 80753 [details]
dumptStack.txt
Comment 7 Jaroslav Tulach 2009-04-24 09:09:02 UTC
This deadlock is slightly different: happens "later", but related to the original one. I'll work on it today. 
Meanwhile, can you Jirko try to reproduce it with following patch?
http://www.netbeans.org/nonav/issues/showattachment.cgi/80681/X.diff
Thanks a lot.
Comment 8 Jiri Rechtacek 2009-04-24 11:17:18 UTC
I'll apply this fix and let you now promptly.
Comment 9 Jaroslav Tulach 2009-04-24 11:51:36 UTC
I managed to simulate this kind of deadlock in a test. I can also confirm that fix similar to the above one solves the 
artificial deadlock. Jirka needs to verify if it solves the real deadlock as well, as I have not managed to reproduce 
it. Opening CustomerDB works without problems on my computer.
Comment 10 Jiri Rechtacek 2009-04-24 11:51:50 UTC
I haven't reproduced it with this patch anymore. It seems be a proper fix of this problem. Thanks 
Comment 11 Jaroslav Tulach 2009-04-24 12:08:55 UTC
Hurá: core-main#991208ce71b4
Comment 12 Quality Engineering 2009-04-25 07:29:35 UTC
Integrated into 'main-golden', will be available in build *200904250201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/991208ce71b4
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #163201: Don't wait from LazyMenu when doing own changes like updating own displayname or icon


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo